%Include file for tricycle notation

#(define (add-foot-indication note foot)
    (if (pair? (ly:music-property note 'elements))
        ; EventChord: a single note in a melody
        (make-music 'EventChord 'elements
            (append
              (list (car (ly:music-property note 'elements))
                    (make-music 'FingeringEvent 'digit foot))
              (cdr (ly:music-property note 'elements))))
        ; NoteEvent: a note in a chord
        (make-music 'NoteEvent
            'duration (ly:music-property note 'duration)
            'articulations (list (make-music 'FingeringEvent 'digit foot))
            'pitch (ly:music-property note 'pitch))))

xia = #(define-music-function (parser location note) (ly:music?)
  (add-foot-indication note 1))

zhou = #(define-music-function (parser location note) (ly:music?)
  (add-foot-indication note 2))

shang = #(define-music-function (parser location note) (ly:music?)
  (add-foot-indication note 3))

x = #xia
zh = #zhou
sh = #shang
% \s is taken

\paper{
    newStaffSize = #22
    #(define fonts (make-pango-font-tree "URW Bookman L" "Sans" "Mono"
                    (/ newStaffSize 20)))
}
lyricsize = \tiny
